﻿using UnityEngine;
using System.Collections;
using System.Linq;
using UnityEngine.SceneManagement;

public class PlayerBehaviour : MonoBehaviour
{
	public float Speed = 1f;
	public float JumpSpeed = 5f;
	private float x, y, z;
	public ParticleSystem[] JetpackParticles;
	public string JumpKey = "Jump";

	void Update ()
	{
		x = Input.GetAxis ("Horizontal");
		z = Input.GetAxis ("Vertical");

		if (Input.GetButtonDown (JumpKey)) {
			JetpackParticles.ToList ().ForEach (i => i.Play ());
		}
		if (Input.GetButtonUp (JumpKey)) {
			JetpackParticles.ToList ().ForEach (i => i.Stop ());
		}

		if (transform.position.x < -8) {
			SceneManager.LoadScene (0);
		}
	}

	void FixedUpdate ()
	{
		GetComponent<Rigidbody> ().AddForce (new Vector3 (x, 0f, z) * Speed, ForceMode.Impulse);
		if (Input.GetButton (JumpKey)) {
			GetComponent<Rigidbody> ().AddForce (new Vector3 (0f, 1f, 0f) * JumpSpeed, ForceMode.Impulse);
		}
	}
}
